VisualEditor multilingual input / i18n issues (tracking)
Closed, ResolvedPublic

Assigned To
Jdforrester-WMF
Priority
Normal
Author
brion
Blocks
T4007: Tracking bug (tracking)
Blocked By
T64028: VisualEditor: Cursor skips by one character for Thai characters (expected skipping by one block)
T62187: VisualEditor: Provide a language inspector to handle <div lang='xx' dir='yyy'> blocks and similar
T53477: VisualEditor: Typing in Devanagari puts vowels in unexpected places
T53472: VisualEditor: Backspace deletes combined character clusters together with diacritics
T53356: Add ULS language setting dialogue box in VisualEditor page settings
T53355: Feature request for VisualEditor language setting +ULS +Wikidata interwikis
T68339: VisualEditor: In WebKit, moving the cursor (caret) with the arrow keys breaks connected Arabic letters
T68338: VisualEditor: Footnote number is not localized while editing
T51569: Make ULS input methods work in content editable divs of VisualEditor
T54726: VisualEditor: Typing problem in Assamese
T54716: VisualEditor: cursor places itself after the first character when inserting a group of Japanese characters
T56424: VisualEditor: Automatic Incorrect caret movement with ULS
T56421: VisualEditor: Text duplication when using jquery.IME on existing pages
T49759: VisualEditor: Provide a language inspector to handle inline <span lang='xx' dir='yyy'>s
T49718: VisualEditor: using non-ASCII characters in the VisualEditor edit summary insertion can make the remaining character count negative
T51257: VisualEditor: Provide full grapheme cluster boundary detection
T56334: VisualEditor: "Uncaught TypeError: Cannot call method 'getOffset' of null" triggered using jquery.IME
T56331: VisualEditor: "Uncaught Error: ve.dm.Document.getNodeFromOffset(): offset 804 is out of bounds" triggered using jquery.IME
T52631: VisualEditor: CE eats up syllables except a last syllable of a word in Korean IME
T46085: VisualEditor: ve.dm.SurfaceFragment.wordBoundaryPattern treats non-lower-ASCII word characters as boundaries
T49436: Make the Sogou Input IME work
T52529: IME selector appears when the VisualEditor headings style selector is clicked
T56057: Cursor error typing into end of paragraph with Ibus Malayalam Swanalekha
T52370: TemplateData: HTML rendering of control keywords (empty, optional, ...) isn't translatable
T52346: VE does not support typing in Kannada
T55788: VisualEditor: Marathi/Devanagari: Save button does not get enabled for same or lesser length change
T50630: VisualEditor: Data model needs characters, not code points
T55758: Visualditor: Marathi/Devanagari: edit change not reflecting in edit preview
T55757: VisualEditor: Marathi/Devanagari: Backpace deletes text on right side
T55754: VisualEditor: Implement script-specific cursoring for Devanagari if native cursoring is insufficient
T52167: VisualEditor: Support unicode equivalence for client side text searches
T55717: VisualEditor: jquery.IME doesn't work in VisualEditor's iframes (template, reference, reference list, media, and page settings dialogs, and language, maths, code and link inspectors)
T55711: VisualEditor: Cursor cannot move through text created with jquery.IME when editing bulleted text
T55708: VisualEditor: Incorrect and irremovable text placement with IMEs
T55706: VisualEditor: Incorrect text selection with jquery.IME
T55705: VisualEditor: Content disappears when using jquery.IME
T55700: VisualEditor: When using jquery.IME, type a word and press space bar = eliminates typed text immediately
T55701: VisualEditor: Marathi/Devanagari: After typing first character cursor moves in wrong direction when using jquery.IME
T47240: VisualEditor: IME input into an empty slug causes characters to overwrite one another
T52105: VisualEditor: IME shift+ function for adding diacritical marks in Arabic broken
T55679: VisualEditor: Selection-expansion doesn't trigger for Thai script text
T53847: VisualEditor: Recursive word addition with Google Input Tools in reference tool on Firefox
T53846: Cursor not moving past "ग्र" and other multiple code-unit grapheme clusters on left arrow key press
T35128: Ctrl+left/right arrow doesn't work correctly with non-Latin scripts
T35127: Double-clicking a word selects several non-Latin words
T35126: VisualEditor: Support for right-to-left (rtl) / bidirectional content (tracking)
T35076: VisualEditor does not allow to type with (at least some) input methods
T35070: Visual editor doesn't allow typing accented characters in Android browser
T43109: VisualEditor: Complex script (Indic) compatibility
T43009: VisualEditor: Add support for adding dir/lang attributes to paragraphs and similar elements (div, p, lists etc.)
Subscribers
Mooeypoo, Thryduulf, brion and 9 others
Projects
Reference
bz33077
Description
bzimport set Reference to bz33077.
brion created this task.Via LegacyDec 14 2011, 4:44 AM
Jdforrester-WMF added a comment.Via ConduitJun 22 2012, 5:41 PM

Still an issue. :-)

Jdforrester-WMF added a comment.Via ConduitJun 22 2012, 10:05 PM

Mass-moving items into VisualEditor product

Jdforrester-WMF added a comment.Via ConduitJun 23 2012, 1:36 AM

Mass-move out of "General" to "ContentEditable".

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 27 2014, 12:57 AM
Krinkle removed a subscriber: Krinkle.Via WebDec 8 2014, 2:25 AM
Jdforrester-WMF closed this task as "Resolved".Via WebJan 28 2015, 6:03 AM
Jdforrester-WMF claimed this task.

Replaced with projects.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.